package com.franckbarbier.loto;

public class Loto {

    private final java.util.Set<Integer> _boules = new java.util.HashSet<>();
    private final java.util.Random _random = new java.util.Random((new java.util.Date()).getTime());
    private String _resultat = "";

    public Loto() {
        for (int i = 1; i <= 49; i++) {
            _boules.add(i);
        }
    }

    public void tirer() {
        while (_boules.size() > 1) {
            int curseur = _random.nextInt(_boules.size()) + 1; // [1 - 49]
            int i = 1;
            for (int boule : _boules) {
                if (i == curseur) {
                    _boules.remove(boule);
                    _resultat += '\t' + Integer.toString(boule);
                    break;
                }
                i++;
            }
        }
    }

    @Override
    public String toString() {
        return _resultat;
    }
}
